eoRankingSelect(3)

NAME
eoRankingSelect - eoRankingSelect: select an individual by roulette wheel on its rank is an eoRouletteWorthSelect, i.e.

SYNOPSIS

#include <eoRankingSelect.h>

Inherits eoRouletteWorthSelect< EOT, double >.

  Public Member Functions
eoRankingSelect (double _p=2.0, double _e=1.0)
Ctor:.

  Private Attributes
eoRanking< EOT > ranking

Detailed Description

  template<class EOT> class eoRankingSelect< EOT >
eoRankingSelect: select an individual by roulette wheel on its rank is an eoRouletteWorthSelect, i.e. a selector using a std::vector of worthes rather than the raw fitness (see eoSelectFromWorth.h) uses an internal eoRanking object which is an eoPerf2Worth<EOT, double>

Definition at line 41 of file eoRankingSelect.h.

Constructor & Destructor Documentation

  template<class EOT> eoRankingSelect< EOT >::eoRankingSelect (double _p = 2.0, double _e = 1.0) [inline]

Ctor:.

Parameters:
    _p the selective pressure, should be in [1,2] (2 is the default)
    _e exponent (1 == linear)

Definition at line 48 of file eoRankingSelect.h.

Author

Generated automatically by Doxygen for EO from the source code.